Making applications created with old java versions work on java 9 and later versions

With Burningwave Tools it is possible to perform dependencies shrinking and also to make applications created with old java versions work on java 9 and later versions. To adapt applications to java 9 and later you must create an application adapater and run it with a jdk 9 or later. In this application adapter you must load, by using PathHelper, the jdk libraries by which the target application was developed and pass to the method captureAndStore of TwoPassCapturer component, as first parameter, the name of the class of your application that contains the main method. In the example below we adapt a Java 8 Spring Boot application to Java 9 or later.

After prepared the dependencies adapter you need to run it: at the end of the execution you will find in the destination folder a system executable (a .cmd file under windows and a .sh file under unix) with which it will be possible to test the extracted dependencies:

Target folder

We learned how to adapt a Java application to Java 9 and later version and you can download/clone the tutorial shared here on GitHub: to make it works you need:

For further assistance you can write a comment below or you can subscribe to the forum and then ask in the topic ”How to do?“or you can ask on Stack Overflow.

Special thanks to Jim Jerald Burton for maintaining the source code of this tutorial.

--

--

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store